ComponentAdapter (Java Platform SE 8 )
Keywords: java.awt.event.ComponentAdapter class
Date: 2026-04-24

java.awt.event

## Class ComponentAdapter

- java.lang.Object
- - java.awt.event.ComponentAdapter

- All Implemented Interfaces:
    ComponentListener, EventListener
  Direct Known Subclasses:
    BasicSliderUI.ComponentHandler, BasicTreeUI.ComponentHandler, JViewport.ViewListener

      public abstract class ComponentAdapter
      extends Object
      implements ComponentListener

  An abstract adapter class for receiving component events. The methods in this class are empty. This class exists as convenience for creating listener objects.

  Extend this class to create a `ComponentEvent` listener and override the methods for the events of interest. (If you implement the `ComponentListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

  Create a listener object using your class and then register it with a component using the component's `addComponentListener` method. When the component's size, location, or visibility changes, the relevant method in the listener object is invoked, and the `ComponentEvent` is passed to it.

  Since:
    1.1
  See Also:
    `ComponentEvent`, `ComponentListener`, Tutorial: Writing a Component Listener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `componentHidden(ComponentEvent e)` Invoked when the component has been made invisible.
    `void` | `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
    `void` | `componentResized(ComponentEvent e)` Invoked when the component's size changes.
    `void` | `componentShown(ComponentEvent e)` Invoked when the component has been made visible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentAdapter

          public ComponentAdapter()

  - ### Method Detail

    - #### componentResized

          public void componentResized(ComponentEvent e)

      Invoked when the component's size changes.
      Specified by:
        `componentResized` in interface `ComponentListener`

    - #### componentMoved

          public void componentMoved(ComponentEvent e)

      Invoked when the component's position changes.
      Specified by:
        `componentMoved` in interface `ComponentListener`

    - #### componentShown

          public void componentShown(ComponentEvent e)

      Invoked when the component has been made visible.
      Specified by:
        `componentShown` in interface `ComponentListener`

    - #### componentHidden

          public void componentHidden(ComponentEvent e)

      Invoked when the component has been made invisible.
      Specified by:
        `componentHidden` in interface `ComponentListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.